<?php

declare(strict_types=1);

namespace App\Domain\Shared\Domain\Contract;

interface NotificationInterface
{
    /**
     * Envoie une notification de succès
     */
    public function sendSuccess(string $message): void;

    /**
     * Envoie une notification d'erreur
     */
    public function sendError(string $message): void;

    /**
     * Envoie une notification avec un statut personnalisé
     */
    public function sendUpdate(array $data): void;
}
